## vmmlib 1.0

=== Makefile ===

VMMLIB_UNIT_TESTS =\
    tests/unit_test.cpp\
    tests/vector_test.cpp\
    tests/matrix_test.cpp\
    tests/quaternion_test.cpp\
    tests/qr_decomposition_test.cpp\
    tests/svd_test.cpp\
    tests/lapack_svd_test.cpp\
    tests/lapack_linear_least_squares_test.cpp\
    tests/lapack_gaussian_elimination_test.cpp\
    tests/vmmlib_unit_tests_main.cpp\
    tests/lapack_sym_eigs_test.cpp\
    tests/tensor3_test.cpp \
    tests/tensor3_iterator_test.cpp \
    tests/tucker3_tensor_test.cpp \
    tests/qtucker3_tensor_test.cpp \
    tests/tucker3_exporter_importer_test.cpp \
    tests/cp3_tensor_test.cpp \
    tests/t3_hosvd_test.cpp \
    tests/t3_hooi_test.cpp \
    tests/t3_hopm_test.cpp \
    tests/t3_ihopm_test.cpp \
    tests/matrix_pseudoinverse_test.cpp \
    tests/blas_dgemm_test.cpp \
    tests/blas_dot_test.cpp \

VMMLIB_UNIT_TESTS_OBJECTS = ${VMMLIB_UNIT_TESTS:%.cpp=%.o}  

CXXFLAGS += -I. -Iinclude -Itests -include stdint.h

# Mac OS X specific stuff 
# on mac we want to use the frameworks, not the unix style libs 
ARCH = $(shell uname)
ifeq "$(ARCH)" "Darwin"
CXXFLAGS += -framework Accelerate
LDFLAGS += -framework Accelerate

else
# Linux specific stuff

CXXFLAGS += -include f2c.h -include f2c_fix.h 

LBITS := $(shell getconf LONG_BIT)
ifeq ($(LBITS),64)
  LIBDIR=$(DESTDIR)/usr/lib64
else
  LIBDIR=$(DESTDIR)/usr/lib
endif

CXXFLAGS +=
LDFLAGS +=

# adjust libs depending on your LAPACK and BLAS distribution
LIBS += -lclapack -lf2c -lcblas -llapack
# LIBS += -llapack -lblas



endif

all: vmmlib_unit_tests

.cpp.o:
	$(CXX) $(CXXFLAGS) -c $< -o $@  

vmmlib_unit_tests: $(VMMLIB_UNIT_TESTS_OBJECTS)
ifeq "$(ARCH)" "Darwin"
	 $(CXX) $(LDFLAGS) $(VMMLIB_UNIT_TESTS_OBJECTS) -o $@  
else
	 $(CXX) $(LDFLAGS) $(VMMLIB_UNIT_TESTS_OBJECTS) -o $@  $(LIBS)
endif

clean:
	rm -rf $(VMMLIB_UNIT_TESTS_OBJECTS) vmmlib_unit_tests

=== tests/Makefile ===

.PHONY: tests

TESTFILES = $(wildcard *.cpp)
OBJECTS   = $(TESTFILES:%.cpp=%.o)
CXXFLAGS += -I../include

tests: vmmltest
	@echo "----- Running Tests -----"
	@./vmmltest

vmmltest: $(OBJECTS)
	$(CXX) -o $@ $(OBJECTS)

clean: 
	rm -rf $(OBJECTS) vmmltest

$(OBJECTS): ../include

=== debian/changelog ===
vmmlib (1.0-2) unstable; urgency=low

  * Add dependency to build test suite. (Closes: #663949)
  * Updated standards version to 3.9.3. (No changes needed.)

 -- Bas Wijnen <wijnen@debian.org>  Sun, 29 Apr 2012 01:22:11 +0200

vmmlib (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #650072)

 -- Bas Wijnen <wijnen@debian.org>  Fri, 27 Jan 2012 23:22:55 +0100

=== debian/control ===
Source: vmmlib
Section: libdevel
Priority: optional
Maintainer: Bas Wijnen <wijnen@debian.org>
Build-Depends: debhelper (>= 8), libblas-dev, liblapack-dev, libf2c2-dev
Standards-Version: 3.9.3

Package: libvmmlib-dev
Architecture: all
Depends: ${misc:Depends}
Suggests: libblas-dev, liblapack-dev
Description: templatized C++ vector and matrix math library
 Vmmlib's basic functionality includes a vector and a matrix class, with
 additional functionality for the often-used 3d and 4d vectors and 3x3 and 4x4
 matrices.
 .
 More advanced functionality include solvers, frustum computations and frustum
 culling classes, and spatial data structures.
 .
 It is implemented using C++ templates, making it versatile, and being a header
 library, it is very easy to integrate into other libraries and programs.

## vmmlib 1.6.2+git20211012.364732e

=== CMakeLists.txt ===
# Copyright (c) 2011 Daniel Pfeifer <daniel@pfeifer-mail.de>
#               2011-2014 Stefan.Eilemann@epfl.ch

cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
project(vmmlib)

set(VERSION_MAJOR 1)
set(VERSION_MINOR 8)
set(VERSION_PATCH 0)
set(VERSION_ABI 3)

configure_file(${PROJECT_SOURCE_DIR}/vmmlib/version.in.hpp
               ${PROJECT_SOURCE_DIR}/vmmlib/version.hpp @ONLY)

set(VMMLIB_COMPILE_TESTS TRUE CACHE BOOL "Compile 'tests' and 'tests_old' directories")

if(VMMLIB_COMPILE_TESTS)
  list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/CMake
                                ${CMAKE_SOURCE_DIR}/CMake/common)
  include(Common)
  include(FindPackages)

  common_package(Boost COMPONENTS unit_test_framework)

  add_subdirectory(tests)
  #add_subdirectory(tests_old)
endif()

=== tests/CMakeLists.txt ===
# Copyright (c) BBP/EPFL 2011-2014, Stefan.Eilemann@epfl.ch
# Change this number when adding tests to force a CMake run: 2

if(NOT Boost_FOUND)
  return()
endif()

set(TEST_LIBRARIES ${Boost_UNIT_TEST_FRAMEWORK_LIBRARY})
include(CommonCTest)

include(InstallFiles)
install_files(share/vmmlib/tests FILES ${TEST_FILES} COMPONENT examples)

=== tests_old/CMakeLists.txt ===

if(MSVC)
  return()
endif()

set(TESTS
  intersection_test.cpp
  matrix_test.cpp
  perf_test.cpp
  performance_test.cpp
  qr_decomposition_test.cpp
  quaternion_test.cpp
  timer.cpp
  unit_test.cpp
  unit_test_globals.cpp
  lowpass_filter_test.cpp
  vector_test.cpp
  util_test.cpp
  vmmlib_unit_tests_main.cpp)

set(TEST_LIBRARIES)

list(APPEND CPPCHECK_EXTRA_ARGS --suppress=*:${PROJECT_SOURCE_DIR}/*)

add_executable(vmmlib_test ${TESTS})
if(CMAKE_VERSION VERSION_GREATER 2.8.10)
  add_test(NAME vmmlib_test COMMAND $<TARGET_FILE:vmmlib_test>)
else()
  get_target_property(EXECUTABLE vmmlib_test LOCATION)
  string(REGEX REPLACE "\\$\\(.*\\)" "\${CTEST_CONFIGURATION_TYPE}"
               EXECUTABLE "${EXECUTABLE}")
  add_test(vmmlib_test ${EXECUTABLE})
endif()
target_link_libraries(vmmlib_test ${TEST_LIBRARIES})

# workaround: 'make test' does not build tests beforehand
add_custom_target(old_tests COMMAND ${CMAKE_CTEST_COMMAND} DEPENDS vmmlib_test)

=== debian/changelog ===
vmmlib (1.6.2+git20211012.364732e-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Set Vcs-Fields (routine-update)
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Set Science Team as Maintainer.
    - Set Bas Wijner and myself as Uploaders.
  * d/control: Add Homepage information.
  * d/copyright: Update Format link.
  * d/watch: Add file.
  * New upstream release (Closes: #1114437).
  * d/patches: Remove patches they are not longer needed.
  * d/control: Add cmake as Build-Dependency.
    - Run wrap-and-sort.
  * d/rules: Override dh_install to install correctly the lib files.

  [ Andreas Tille ]
  * d/copyright: Fix license name

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 12 Dec 2025 19:44:09 -0300

vmmlib (1.0-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS (Closes: #1016262)
    - Remove debian/patches/fix_ftbfs_gcc8.patch
    - Update debian/patches/fix-makefile to not use f2c related headers.
    - Add debian/patches/fix-quaternion.patch for not returning value in
      void function.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 18 Sep 2022 16:28:02 +0800

vmmlib (1.0-2.2) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 02:15:59 +0100

vmmlib (1.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add debian/patches/fix_ftbfs_gcc8.patch
    - Fix FTBFS on gcc8 (Closes: #897845) (Closes: #834472)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 31 Oct 2018 00:10:19 +0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,24 @@
 Source: vmmlib
 Section: libdevel
 Priority: optional
-Maintainer: Bas Wijnen <wijnen@debian.org>
-Build-Depends: debhelper (>= 8), libblas-dev, liblapack-dev, libf2c2-dev
-Standards-Version: 3.9.3
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Bas Wijnen <wijnen@debian.org>,
+           Emmanuel Arias <eamanu@debian.org>,
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               libblas-dev,
+               libf2c2-dev,
+               liblapack-dev,
+Standards-Version: 4.7.2
+Vcs-Git: https://salsa.debian.org/science-team/vmmlib.git
+Vcs-Browser: https://salsa.debian.org/science-team/vmmlib
+Homepage: https://vmmlib.sourceforge.net/
 
 Package: libvmmlib-dev
 Architecture: all
-Depends: ${misc:Depends}
-Suggests: libblas-dev, liblapack-dev
+Depends: ${misc:Depends},
+Suggests: libblas-dev,
+          liblapack-dev,
 Description: templatized C++ vector and matrix math library
  Vmmlib's basic functionality includes a vector and a matrix class, with
  additional functionality for the often-used 3d and 4d vectors and 3x3 and 4x4

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	mkdir -p debian/libvmmlib-dev/usr/include/vmmlib/
	cp vmmlib/* debian/libvmmlib-dev/usr/include/vmmlib/

=== debian/watch ===
Version: 5

Source: https://github.com//VMML/vmmlib
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 1.6.2+git%cd.%h
